CustomEntityDirtinessStrategy.AttributeInformation (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface CustomEntityDirtinessStrategy.AttributeInformation

Enclosing interface:
  CustomEntityDirtinessStrategy

    public static interface CustomEntityDirtinessStrategy.AttributeInformation

Provides `CustomEntityDirtinessStrategy.AttributeChecker` with meta information about the attributes being checked.

Method Summary
`int` | `getAttributeIndex()` Many of Hibernate internals use arrays to define information about attributes.
`EntityPersister` | `getContainingPersister()` Get a reference to the persister for the entity containing this attribute.
`Object` | `getCurrentValue()` Get the current value of this attribute.
`Object` | `getLoadedValue()` Get the loaded value of this attribute.
`String` | `getName()` Get the name of this attribute
`Type` | `getType()` Get the mapping type of this attribute.

Method Detail

### getContainingPersister

    EntityPersister getContainingPersister()

  Get a reference to the persister for the entity containing this attribute.

  Returns:
    The entity persister.

### getAttributeIndex

    int getAttributeIndex()

  Many of Hibernate internals use arrays to define information about attributes. This value provides this index into those arrays for this particular attribute.

  It can be useful if needing to leverage those Hibernate internals.

  Returns:
    The attribute index.

### getName

    String getName()

  Get the name of this attribute

  Returns:
    The attribute name

### getType

    Type getType()

  Get the mapping type of this attribute.

  Returns:
    The mapping type.

### getCurrentValue

    Object getCurrentValue()

  Get the current value of this attribute.

  Returns:
    The attributes current value

### getLoadedValue

    Object getLoadedValue()

  Get the loaded value of this attribute.

  NOTE : A call to this method may require hitting the database in cases where the loaded state is not known. In those cases the db hit is incurred only once per entity, not for each attribute.

  Returns:
    The attributes loaded value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.